package com.huiju.estateagents.property.common;

/**
 * 定义公共属性
 * @author weiximei
 */
public class Constant {

    /** 系统异常 500 **/
    public static final String REQUEST_ERROR = "500";

    /** APP端session **/
    public static final String APP_USER_SESSION = "appUser";

    /** WEB运营端session **/
    // 待废弃
    public static final String WEB_USER_SESSION = "webUser";

    /** WEB运营端session **/
    @Deprecated
    public static final String WEB_OPERATE_USER_SESSION = "webOperateUser";

    /** WEB物业端session **/
    @Deprecated
    public static final String WEB_PROPERTY_USER_SESSION = "webPropertyUser";

    /** 不需要权限的URL身份 **/
    public static final String ROLE_NONEUSER = "ROLE_NONEUSER";

    /** 校验出现问题后的默认身份 **/
    public static final String ROLE_NONE = "ROLE_NONE";

    /** app登陆类型 **/
    public static final String APP_LOGIN_TYPE = "app";

    /** web登陆类型 **/
    public static final String WEB_LOGIN_TYPE = "web";

    /** 手机验证码 **/
    public static final String SESSION_PHONE_CODE = "phone_code";

    /** 图形验证码 **/
    public static final String SESSION_OMG_CODE = "img_code";

    /** 手机验证码 模板 **/
    public static final String CODE = "0201";

    /** 请求发送验证码的远程服务器地址 **/
    public static final String REQUEST_URL = "http://micservice.ycjcjy.com/sms";

    /** 本地缓存过期时间 单位秒 **/
    public static final Long CACHE_EXPIRE = 120L;

    /** 本地緩存最大个数 **/
    public static final Long CACHE_SIZE = 1000L;

    /** 住户APP端消息 **/
    public static final Integer MODEL_TYPE_NEWS = 1;
    
    /** 住户APP端待办 **/
    public static final Integer MODEL_TYPE_UPCOMING = 2;

    /** 社交/图片 公告类型**/
    public static final String ANNOUNCEMENT = "announcement";

    /** 社交/图片 活动类型**/
    public static final String ACTIVITY = "activity";

    /** 社交/图片 租贷类型**/
    public static final String TRANSACTION = "transaction";

    /** 监控封面 图片类型 **/
    public static final String MONITORING = "monitoring";

    /** 社交二手租赁类型**/
    public static final String LEASE = "lease";

    /** banner类型公告**/
    public static final String BANNER = "banner";

    /**有效状态，开车**/
    public static final String EFFECTIVE = "1";

    /**无效状态，不开车**/
    public static final String INVALID = "0";

    /**业主角色**/
    public static final String OWNER = "OWNER";
    public static final Integer OWNER_ID = 1;

    /**租客角色**/
    public static final String TENANT = "TENANT";
    public static final Integer TENANT_ID = 2;

    /**家属角色**/
    public static final String RELATION = "RELATION";
    public static final Integer RELATION_ID = 3;
    
    /** 工单回复的发起人 **/
    public static final String TICKET_USER_TYPE = "1";

    /** banner的类型 外链接 **/
    public static final String BANNER_TYPE_LINK = "1";

    /** banner的类型 文章 **/
    public static final String BANNER_TYPE_ARTICLE = "2";

    /**图片社交类型**/
    public static final String SOCIAL = "social";

    /**图片回复类型**/
    public static final String REPLY = "reply";

    /**图片服务类型**/
    public static final String SERVICE = "service";




    /**判断业主，家属的身份是否已停用的提示**/
    public static final String STATE_DISCONTINUED = "您的身份已停用，请联系物业";

    /**判断业主，家属的身份是否已停用的状态**/
    public static final String STATE_HINT = "9996";

    /**认证通过后的**/


    /** 添加用户所对应的部门 住户 **/
    public static final String DEPT_RESIDENTS = "荟房会议室";
    
    /**
     * 报名状态 已报名
     */
    public static final String STATUS_SIGNED = "signed";
    
    /**
     * 报名状态 未报名
     */
    public static final String STATUS_UNSIGN = "unsigned";
    
    /**
     * 运营端修改管理员已存在
     */
	public static final String ADMIN_IS_EXIST = "管理员账号已存在";
	
    public static final String SUCCESS = "success";
    
    /**
     * 直辖市
     */
	public static final Integer Beijing = 2;
	
	public static final Integer Tianjin = 19;
	
	public static final Integer Shanghai = 857;
	
	public static final Integer Chongqing = 2459;
    
    /**
     * 访客消息
     */
    public static final String MESSAGE_TYPE_VISITOR = "4";
    
    /**
     * 公告
     */
    public static final String MESSAGE_TYPE_ANNOUNCEMENT = "5";
    
    /**
     * 系统通知
     */
    public static final String MESSAGE_TYPE_SYS = "6";
    
    /**
     * 收费单
     */
    public static final String MESSAGE_TYPE_BILL = "7";
    
    /**
     * 活动
     */
    public static final String MESSAGE_TYPE_ACTIVITY = "8";
    
    /**
     * excel后缀
     */
    public static final String SUFFIX_2003 = ".xls";
    public static final String SUFFIX_2007 = ".xlsx";
    
    /**
     * 成功
     */
    public static final String RESPONSE_SUCCESS = "0";
    
    /**
     * 未认证
     */
	public static final String UN_VERIFY_STATUS = "0";
    
    /**
     * 已认证
     */
    public static final String VERIFY_STATUS = "1";

    /**
     * 认证作废
     */
    public static final String INVALID_VERIFY_STATUS = "3";

    /**
     * 人员状态  拉黑 (运营端操作 APP端的用户)
     */
    public static final String BLACKLIST_STATUS = "2";

    /**
     * 人员状态  有效
     */
    public static final String EFFECTIVE_STATUS = "1";

    /**
     * 人员状态  无效
     */
    public static final String INVALID_STATUS = "0";

    /** 已绑定微信 **/
    public static final Integer BINDING_WX = 1;

    /** 未绑定微信 **/
    public static final Integer NO_BINDING_WX = 0;

    /** 用户审核通过 **/
    public static final String APPROVED = "1";

    /** 用户审核不通过 **/
    public static final String REJECTED = "2";

    /** 用户待审核 **/
    public static final String TO_AUDIT = "0";

    /** 缴费类型 物业 **/
    public static final String PAY_TYPE_BILL = "bill";


    /** 缴费类型 车缴费 **/
    public static final String PAY_TYPE_CAR = "car";


    /**
     * 房产关联审核通过
     */
    public static final String ESTATE_RELATE_VERIFY_PASSED = "estate_relate_verify_passed";

    /**
     * 家/租/户 审核房产推物业
     */
    public static final String CUSTOMER_SUBMIT_PROP_VERIFY = "customer_submit_prop_verify";

    /**
     * 活动报名成功
     */
    public static final String ESTATE_SERVICE_ACTIVITY_SIGN_SUCCESS ="estate_service_activity_sign_success";

    /**
     * 房产关联审核不通过
     */
    public static final String ESTATE_RELATE_VERIFY_REJECTED = "estate_relate_verify_rejected";

    /**
     * 物业发布公告成功
     */
    public static final String ESTATE_SERVICE_ANNOUNCEMENT_SUCCESS = "estate_service_announcement_success";

    /**
     * 物业发布活动成功
     */
    public static final String ESTATE_SERVICE_ACTIVITY_SUCCESS = "estate_service_activity_success";

    /**
     *15条消息
     */
    public static final String SYSTEM_MESSAGE ="system_message";

    /**
     * 消息message_type为9表示不可点击
     */
    public static final String SYSTEM_MESSAGE_TYPE ="9";
    /**
     * 话题被回复
     */
    public static final String THREAD_REPLY = "thread_reply";

    /**
     * 话题被举报
     */
    public static final String THREAD_REPORT = "thread_report";

    /**
     * 活动报名后被物业后台删除
     */
    public static final String ACTIVITY_JOINED_DELETE_BY_ESTATE_SERVICE = "activity_joined_delete_by_estate_service";

    /**
     * 活动被作废
     */
    public static final String ACTIVITY_CANCELLED = "activity_cancelled";

    /**
     * 话题被作废
     */
    public static final String THREAD_CANCELLED = "thread_cancelled";

    /**
     * 收费组被发布
     */
    public static final String PUBLISH_BILL = "publish_bill";

    /**
     * 月租车缴费推送消息
     */
    public static final String PAY_MONTH_Bill_SUCCEED = "pay_month_bill_succeed";

    /**
     * 工单被拒绝受理
     */
    public static final String TICKET_REJECTED = "ticket_rejected";

    /**
     * 添加工单
     */
    public static final String TICKET_ADD = "ticket_add";

    /**
     * 工单修改
     */
    public static final String TICKET_UPDATE = "ticket_update";

    /**
     * 工单被分配
     */
    public static final String TICKET_DISTRIBUTED = "ticket_distributed";

    /**
     * 工单终止
     */
    public static final String TICKET_TERMINATION = "ticket_termination";
    /**
     * 工单被提交处理结果
     */
    public static final String TICKET_SUBMIT_RESULT = "ticket_submit_result";

    /**
     * 工单被回复
     */
    public static final String TICKET_REPLY = "ticket_reply";

    /**
     * 商铺评价被回复
     */
    public static final String SHOP_REVIEW_REPLY = "shop_review_reply";

    /**
     * 商铺评价时推送消息
     */
    public static final String SHOP_REVIEW_PROP_REPLY ="shop_review_prop_reply";

    /**
     * 家属或租客提交审核信息
     */
    public static final String CUSTOMER_SUBMIT_VERIFY = "customer_submit_verify";

    /**
     * 添加帖子时推送物业端消息
     */
    public static final String THREAD_ADD_TRANSACTION ="thread_add_transaction";

    /**
     * 话题举报时推送物业端
     */
    public static final String THREAD_REPORT_RROP = "thread_report_prop";

    /**
     * 话题修改时推送消息
     */
    public static final String THREAD_UPDATE_TRANSACTION = "thread_update_transaction";

    /**
     * 缴费成功时推送消息
     */
    public static final String PAY_TYPE_SUCCEED = "pay_type_succeed";

    /**
     * 短信通知
     */
    public static final String SMS_NOTIFICATION = "1";

    /**
     * 论坛消息
     */
    public static final String FORUM_NEWS = "2";

    /**
     * 物业消息
     */
    public static final String PROPERTY_NEWS = "3";

    /**
     * 工单消息
     */
    public static final String TICKET_NEWS = "4";

    /**
     * 其他消息
     */
    public static final String OTHER_NEWS = "5";

    /**
     * 系统消息
     */
    public static final String SYS_NEWS = "6";

    /**
     * 费用消息
     */
    public static final String BILL_NEWS = "7";

    /**
     * 审核消息
     */
    public static final String AUDIT_NEWS = "8";

    /**
     * app端
     */
    public static final String UUID_TYPE_APP = "app";

    /**
     * 物业端
     */
    public static final String UUID_TYPE_PROP = "prop";

    /**
     * app端
     */
    public static final String SOURCE_APP = "app";

    /**
     * 物业端
     */
    public static final String SOURCE_PROP = "prop";

    /**
     * 有效
     */
    public static final String STATUS_EFFECTIVE = "1";

    /**
     * 无效
     */
    public static final String STATUS_INVALID = "0";

    /**
     * 已读
     */
    public static final String READ_STATUS_READ = "1";

    /**
     * 未读
     */
    public static final String READ_STATUS_UNREAD = "0";

    /**
     * 审核未通过短信通知
     */
    public static final String ESTATE_RELATE_VERIFY_REJECTED_SMS = "0401";

    /**
     * 审核通过短信通知
     */
    public static final String ESTATE_RELATE_VERIFY_PASSED_SMS = "0402";

    /**
     * 公告类型
     */
    public static final String MESSAGE_UUID_TYPE_ANNOUNCEMENT = "announcement";

    /**
     * 活动类型
     */
    public static final String MESSAGE_UUID_TYPE_ACTIVITY = "activity";

    /**
     * 话题类型
     */
    public static final String MESSAGE_UUID_TYPE_TRANSACTION = "transaction";

    /**
     * 工单类型
     */
    public static final String MESSAGE_UUID_TYPE_TICKET = "ticket";

    /**
     * 商铺类型
     */
    public static final String MESSAGE_UUID_TYPE_SHOP = "shop";

    /**
     * 收费类型
     */
    public static final String MESSAGE_UUID_TYPE_BILL= "bill";

    /**
     * 资料审核类型
     */
    public static final String MESSAGE_UUID_TYPE_AUDIT= "audit";

    /**
     * app回复物业
     */
    public static final String TICKET_REPLY_PROP = "ticketReplyProp";

    /**
     * app评价物业
     */
    public static final String TICKET_EVALUATE_PROP = "ticketEvaluateProp";
}
